%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Devel-Cover
Version:       1.42
Release:       1mamba
Summary:       Devel::Cover - Code coverage metrics for Perl
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/P/PJ/PJCJ/Devel-Cover-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-Class-XSAccessor
BuildRequires: perl-HTML-Parser
BuildRequires: perl-JSON-MaybeXS
BuildRequires: perl-Moo
BuildRequires: perl-Parallel-Iterator
BuildRequires: perl-Pod-Coverage
BuildRequires: perl-Sereal-Decoder
BuildRequires: perl-Sereal-Encoder
BuildRequires: perl-Template-Toolkit
BuildRequires: perl-Test-Differences
BuildRequires: perl-devel
BuildRequires: perl-namespace-clean
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(PPI::HTML)
BuildRequires: perl(Template)
Requires:      perl(Pod::Coverage)
Requires:      perl(Test::Differences)
Requires:      perl >= %perl_major_ver
# private, not autodetected
Provides:      perl(Devel::Cover::Dumper)

%description
This module provides code coverage metrics for Perl.

%prep
%setup -q -n Devel-Cover-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/cover
%{_bindir}/cpancover
%{_bindir}/gcov2perl
%{perl_vendorarch}/Devel/
%{perl_vendorarch}/auto/Devel/
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3pm.gz
#%doc README Changes

%changelog
* Sat Apr 27 2024 Automatic Build System <autodist@openmamba.org> 1.42-1mamba
- automatic version update by autodist

* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 1.41-1mamba
- automatic version update by autodist

* Mon May 01 2023 Automatic Build System <autodist@mambasoft.it> 1.40-1mamba
- automatic version update by autodist

* Sun Apr 30 2023 Automatic Build System <autodist@mambasoft.it> 1.39-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 1.38-2mamba
- rebuilt with perl 5.36.0

* Mon Jun 06 2022 Automatic Build System <autodist@mambasoft.it> 1.38-1mamba
- automatic version update by autodist

* Mon Jun 06 2022 Automatic Build System <autodist@mambasoft.it> 1.37-1mamba
- automatic version update by autodist

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 1.36-1mamba
- automatic version update by autodist

* Wed Apr 22 2020 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic update by autodist

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 1.29-1mamba
- automatic update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 1.23-1mamba
- automatic update by autodist

* Fri Apr 10 2015 Automatic Build System <autodist@mambasoft.it> 1.18-1mamba
- automatic update by autodist

* Mon Oct 13 2014 Automatic Build System <autodist@mambasoft.it> 1.17-1mamba
- automatic update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic update by autodist

* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic update by autodist

* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 1.08-1mamba
- automatic update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 1.07-1mamba
- automatic update by autodist

* Thu Jul 18 2013 Automatic Build System <autodist@mambasoft.it> 1.06-1mamba
- automatic update by autodist

* Sun Jun 09 2013 Automatic Build System <autodist@mambasoft.it> 1.04-1mamba
- automatic version update by autodist

* Sun May 19 2013 Automatic Build System <autodist@mambasoft.it> 1.02-1mamba
- automatic update by autodist

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 1.01-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 1.00-1mamba
- automatic version update by autodist

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 0.99-1mamba
- automatic version update by autodist

* Fri Nov 30 2012 Automatic Build System <autodist@mambasoft.it> 0.98-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.97-1mamba
- perl 5.16 mass rebuild

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 0.96-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 0.93-1mamba
- automatic version update by autodist

* Sun Aug 07 2011 Automatic Build System <autodist@mambasoft.it> 0.79-1mamba
- automatic version update by autodist

* Wed Feb 16 2011 gil <puntogil@libero.it> 0.66-1mamba
- package created by autospec
